# TdApi.GetInternalLink (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetInternalLink

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetInternalLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.HttpUrl>
it.tdlight.jni.TdApi.GetInternalLink

Enclosing class:
  TdApi

public static final class TdApi.GetInternalLink extends TdApi.Function<TdApi.HttpUrl>
Returns an HTTPS or a tg: link with the given type. Can be called before authorization. Returns `HttpUrl`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isHttp`
Pass true to create an HTTPS link (only available for some link types); pass false to create a tg: link.
`TdApi.InternalLinkType`
`type`
Expected type of the link.

## Constructor Summary

Constructors
Constructor
Description
`GetInternalLink()`
Returns an HTTPS or a tg: link with the given type.
`GetInternalLink(TdApi.InternalLinkType type, boolean isHttp)`
Returns an HTTPS or a tg: link with the given type.
`GetInternalLink(DataInput input)`
Returns an HTTPS or a tg: link with the given type.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public TdApi.InternalLinkType type
Expected type of the link.

### isHttp

public boolean isHttp
Pass true to create an HTTPS link (only available for some link types); pass false to create a tg: link.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetInternalLink

public GetInternalLink()
Returns an HTTPS or a tg: link with the given type. Can be called before authorization. Returns `HttpUrl`

### GetInternalLink

public GetInternalLink(TdApi.InternalLinkType type, boolean isHttp)
Returns an HTTPS or a tg: link with the given type. Can be called before authorization. Returns `HttpUrl`

Parameters:
  `type` - InternalLinkType Expected type of the link.
  `isHttp` - boolean Pass true to create an HTTPS link (only available for some link types); pass false to create a tg: link.

### GetInternalLink

public GetInternalLink(DataInput input) throws IOException
Returns an HTTPS or a tg: link with the given type. Can be called before authorization. Returns `HttpUrl`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`